<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="FBSController" description="Мозг ОПС"
	fileName="FBSController.jar" className="org.mati.npc.components.fbs.controller.FBSControllerImpl"
	version="9115" time="17.02.2009 01:06:36">

	<Group>Охранно-пожарная система</Group>

	<!-- INLINKS -->
	<INLink name="InUniversal"
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="IndexControl" description="Связь с компонентом индексной картинки."
		interfaceName="org.mati.npc.components.interfaces.indeximage.IndexControl"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="FBSController" description="Связь с компонентом deviceManager popup."
		interfaceName="org.mati.npc.core.fbs.interfaces.FBSController"
		linksNumber="1" nullable="true">
	</INLink>

	<!--OUTLINKS BEGIN-->
	<OUTLink name="OutDeviceManager" description="Исходящая связь с DeviceManager"
		interfaceName="org.mati.npc.core.fbs.interfaces.FBSDeviceManager"
		linksNumber="1" nullable="true">
	</OUTLink>
	<OUTLink name="OutTabbedPane" description="Исходящая связь с контейнером закладок"
		interfaceName="org.mati.npc.components.interfaces.TabbedPane"
		linksNumber="1" nullable="true">
	</OUTLink>
	<OUTLink name="OutIndexView" description="Исходящая связь для индексной картинки"
		interfaceName="org.mati.npc.components.interfaces.indeximage.IndexView"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutComponent" description="Исходящая связь для компонент"
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutEffector" description="Исходящая связь для эффекторов"
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutDBServiceContainer" description="Связь с сервисом базы данных."
		interfaceName="org.mati.npc.components.interfaces.DBSerivceContainer"
		linksNumber="1" nullable="false">
	</OUTLink>
	<OUTLink name="OutLoggerHandler" description="Связь  для логирования  работы"
		interfaceName="org.mati.npc.components.interfaces.NPCSimpleLoggerHandler"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutAlarmManager" description="Связь на звуковую сигнализацию"
		interfaceName="org.mati.npc.components.interfaces.AlarmManager"
		linksNumber="1" nullable="true">
	</OUTLink>

	<!--OUTLINKS END-->

	<!--PROPERTIES BEGIN-->
	<Attribute name="FBSProperties" description="Настройка ОПС"
		type="org.mati.npc.core.utils.fbs.FBSProperties" nullable="false">
	</Attribute>
	<Attribute name="FBSId" description="Идентификатор ОПС" type="java.lang.Long"
		nullable="true">
	</Attribute>
	<Attribute name="AlarmDelay"
		description="Задержка перед звуковым оповещением при взломе (в секундах)"
		type="java.lang.Integer" nullable="true">
	</Attribute>
	<Attribute name="GuardDelay"
		description="Задержка при постановке на охрану (в секундах)" type="java.lang.Integer"
		nullable="true">
	</Attribute>
	<!--PROPERTIES END-->
</ClassComponent>